List workflows
curl --request GET \
--url https://api.deck.co/v2/workflows \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.deck.co/v2/workflows"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.deck.co/v2/workflows', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "wflo_AbC123xYz456",
"object": "<string>",
"name": "<string>",
"steps": [
{
"name": "check_price",
"type": "task",
"task_id": "task_AbC123xYz456",
"credential_id": "<string>",
"source_id": "<string>",
"input": {},
"if": "steps.check_price.output.price_dropped == true"
}
],
"created_at": "2026-06-18T00:00:00Z",
"updated_at": "2026-06-18T00:00:00Z",
"request_id": "<string>"
}
],
"has_more": true,
"next_cursor": "<string>",
"request_id": "<string>"
}{
"errors": {},
"type": "<string>",
"title": "<string>",
"status": 123,
"traceId": "<string>"
}{
"errors": [
{
"type": "<string>",
"code": "<string>",
"message": "<string>",
"field": "<string>"
}
],
"request_id": "<string>"
}{
"errors": [
{
"type": "<string>",
"code": "<string>",
"message": "<string>",
"field": "<string>"
}
],
"request_id": "<string>"
}{
"errors": [
{
"type": "<string>",
"code": "<string>",
"message": "<string>",
"field": "<string>"
}
],
"request_id": "<string>"
}{
"errors": [
{
"type": "<string>",
"code": "<string>",
"message": "<string>",
"field": "<string>"
}
],
"request_id": "<string>"
}{
"errors": [
{
"type": "<string>",
"code": "<string>",
"message": "<string>",
"field": "<string>"
}
],
"request_id": "<string>"
}Workflows
List workflows
Returns a paginated list of workflows in your organization.
GET
/
workflows
List workflows
Authorizations
Secret key (sk_live_...)
Query Parameters
Maximum number of items to return (1-100, default 20)
Required range:
1 <= x <= 100Example:
20
Cursor from a previous response for pagination.
Response
OK
Array of resource objects for the current page.
Show child attributes
Show child attributes
true if there are more results beyond this page.
Opaque cursor string to pass as the cursor query parameter on the next request. null when there are no more pages.
Unique identifier for the API request.
Was this page helpful?